package rocks.zipcode.quiz3a.arrays.arrayutils;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.arrays.ArrayUtils;

public class RemoveMiddleCharacterTest {
    @Test
    public void test1() {
        // given
        String[] strings = {"The", "Quick", "Brown"};
        String[] expected = {"The", "Brown"};

        // when
        String[] actual = ArrayUtils.removeMiddleElement(strings);

        //then
        Assert.assertArrayEquals(expected, actual);
    }

    @Test
    public void test2() {
        // given
        String[] expected = {"The", "Quick", "Fox", "Jumps"};
        String[] strings = {"The", "Quick", "Brown", "Fox", "Jumps"};

        // when
        String[] actual = ArrayUtils.removeMiddleElement(strings);

        //then
        Assert.assertArrayEquals(expected, actual);
    }


    @Test
    public void test3() {
        // given
        String[] strings = {"The", "Quick", "Brown", "Fox", "Jumps", "Over", "The"};
        String[] expected = {"The", "Quick", "Brown", "Jumps", "Over", "The"};

        // when
        String[] actual = ArrayUtils.removeMiddleElement(strings);

        //then
        Assert.assertArrayEquals(expected, actual);
    }
}
