package rocks.zipcode.quiz3a.arrays.arrayutils;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.arrays.ArrayUtils;

public class GetMiddleElementTest {
    @Test
    public void test1() {
        // given
        String expected = "Quick";
        String[] strings = {"The", expected, "Brown"};

        // when
        String actual = ArrayUtils.getMiddleElement(strings);

        //then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test2() {
        // given
        String expected = "Brown";
        String[] strings = {"The", "Quick", expected, "Fox", "Jumps"};

        // when
        String actual = ArrayUtils.getMiddleElement(strings);

        //then
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void test3() {
        // given
        String expected = "Fox";
        String[] strings = {"The", "Quick", "Brown", expected, "Jumps", "Over", "The"};

        // when
        String actual = ArrayUtils.getMiddleElement(strings);

        //then
        Assert.assertEquals(expected, actual);
    }
}
