package rocks.zipcode.quiz3a.fundamentals.stringutils;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.fundamentals.StringUtils;

public class CapitalizeMiddleCharacterTest {
    @Test
    public void test1() {
        // given
        String input = "o";
        String expected = "O";

        // when
        String actual = StringUtils.capitalizeMiddleCharacter(input);

        // then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test2() {
        // given
        String input = "ooo";
        String expected = "oOo";

        // when
        String actual = StringUtils.capitalizeMiddleCharacter(input);

        // then
        Assert.assertEquals(expected, actual);
    }
}
