package rocks.zipcode.quiz3a.fundamentals.stringutils;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.fundamentals.StringUtils;

public class LowerCaseMiddleCharacterTest {
    @Test
    public void test1() {
        // given
        String input = "O";
        String expected = "o";

        // when
        String actual = StringUtils.lowerCaseMiddleCharacter(input);

        // then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test2() {
        // given
        String input = "OOO";
        String expected = "OoO";

        // when
        String actual = StringUtils.lowerCaseMiddleCharacter(input);

        // then
        Assert.assertEquals(expected, actual);
    }
}
