package rocks.zipcode.quiz3a.fundamentals.stringutils;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.fundamentals.StringUtils;

public class RemoveDuplicateCharactersTest {
    @Test
    public void test1() {
        // given
        String input = "Fool";
        String expected = "Fl";

        // when
        String actual = StringUtils.removeConsecutiveDuplicateCharacters(input);

        // then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test2() {
        // given
        String input = "Mississippi";
        String expected = "Miiii";

        // when
        String actual = StringUtils.removeConsecutiveDuplicateCharacters(input);

        // then
        Assert.assertEquals(expected, actual);
    }
}
