package rocks.zipcode.quiz3a.objectorientation.food;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.collections.Food;
import rocks.zipcode.quiz3a.objectorientation.Curry;
import rocks.zipcode.quiz3a.objectorientation.Ginger;
import rocks.zipcode.quiz3a.objectorientation.Pepper;
import rocks.zipcode.quiz3a.objectorientation.Spice;

import java.util.Arrays;
import java.util.List;

public class GetAllSpicesTest {
    @Test
    public void test1() {
        // given
        Food food = new Food();
        List<Spice> expected = Arrays.asList(
                (Spice) new Pepper(),
                (Spice) new Ginger(),
                (Spice) new Curry());

        for (Spice spice : expected) {
            food.applySpice(spice);
        }

        // when
        List<Spice> actual = food.getAllSpices();

        // then
        Assert.assertEquals(expected, actual);
    }
}
